Admin O Auth Client Delete
Delete an OAuth client. Deleting a client also removes its pending OAuth records and refresh tokens, preventing existing grants from being renewed. Existing JWT access tokens are self-contained and remain valid until expiry.
Delete an OAuth client.
Deleting a client also removes its pending OAuth records and refresh tokens, preventing existing grants from being renewed. Existing JWT access tokens are self-contained and remain valid until expiry.
/admin/oauth/clients/{oauth_client_id}In: cookie
Path Parameters
OAuth client ID.
xidResponse Body
application/json
curl -X DELETE "https://loading/api/admin/oauth/clients/cc5lnd2s1s4652adtu50"{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Admin O Auth Client Create POST
Create an OAuth client. Confidential clients receive a generated secret once at creation time and must authenticate to `/oauth/token` when using confidential grants. Public clients do not receive or use a client secret.
Admin O Auth Client Get GET
Read an OAuth client. OAuth clients represent application/software identity. They are not the same thing as a user authorisation; user-owned authorisations are represented by device authorisations, authorisation requests, and refresh tokens.